/* Set the colors in <pre> blocks from the Leuven theme */
.org-builtin                     {color:#fe8019;}
.org-string                      {color:#b8bb26;}
.org-doc                         {color:#dfd2b8;}
.org-keyword                     {color:#fb4934;}
.org-variable-name               {color:#8ec07c;}
.org-function-name               {color:#8ec07c;}
.org-type                        {color:#fabd2f;}
.org-preprocessor                {color:#8ec07c;font-weight:bold;}
.org-constant                    {color:#d3869b;}
.org-comment-delimiter           {color:#928374;}
.org-comment                     {color:#928374;font-style:italic}
.org-rainbow-delimiters-depth-1  {color:#fb4934;}
.org-rainbow-delimiters-depth-2  {color:#fabd2f;}
.org-rainbow-delimiters-depth-3  {color:#8ec07c;}
.org-rainbow-delimiters-depth-4  {color:#fb4934;}
.org-rainbow-delimiters-depth-5  {color:#fabd2f;}
.org-rainbow-delimiters-depth-6  {color:#8ec07c;}
.org-rainbow-delimiters-depth-7  {color:#fb4934;}
.org-rainbow-delimiters-depth-8  {color:#a2b6da;}
.org-rainbow-delimiters-depth-9  {color:#9cb6ad;}
.org-diff-added                  {color:#b8bb26; background-color: #504945;}
.org-diff-changed                {color:#d3869b;}
.org-diff-header                 {color:#8ec07c;}
.org-diff-hunk-header            {color:#d3869b;}
.org-diff-nonexistent            {color: #83a598;}
.org-diff-removed                {color:#fb4934; background-color: #3c3836; }

pre {
        box-shadow: none;
}
.org-src-container>pre:before {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    color: #444;
    background-color: #ccc;
    border: 1px solid #ccc;
    padding: 0 0.5em;
    font-size: $code-size;
}

.org-src-container>pre.src-sh:before {content: 'sh';}
.org-src-container>pre.src-bash:before {content: 'bash';}
.org-src-container>pre.src-emacs-lisp:before {content: 'Emacs Lisp';}
.org-src-container>pre.src-R:before {content: 'R';}
.org-src-container>pre.src-org:before {content: 'Org';}
.org-src-container>pre.src-cpp:before {content: 'C++';}
.org-src-container>pre.src-c:before {content: 'C';}
.org-src-container>pre.src-html:before {content: 'HTML'}
.org-src-container>pre.src-js:before {content: 'Javascript'}
.org-src-container>pre.src-javascript:before {content: 'Javascript'}
.org-src-container>pre.src-abc:before {content: 'ABC';}
.org-src-container>pre.src-asymptote:before {content: 'Asymptote';}
.org-src-container>pre.src-awk:before {content: 'Awk';}
.org-src-container>pre.src-C:before {content: 'C';}
.org-src-container>pre.src-calc:before {content: 'Calc';}
.org-src-container>pre.src-clojure:before {content: 'Clojure';}
.org-src-container>pre.src-comint:before {content: 'comint';}
.org-src-container>pre.src-css:before {content: 'CSS';}
.org-src-container>pre.src-D:before {content: 'D';}
.org-src-container>pre.src-ditaa:before {content: 'Ditaa';}
.org-src-container>pre.src-dot:before {content: 'Dot';}
.org-src-container>pre.src-ebnf:before {content: 'ebnf';}
.org-src-container>pre.src-forth:before {content: 'Forth';}
.org-src-container>pre.src-F90:before {content: 'Fortran';}
.org-src-container>pre.src-gnuplot:before {content: 'Gnuplot';}
.org-src-container>pre.src-haskell:before {content: 'Haskell';}
.org-src-container>pre.src-io:before {content: 'Io';}
.org-src-container>pre.src-java:before {content: 'Java';}
.org-src-container>pre.src-latex:before {content: 'LaTeX';}
.org-src-container>pre.src-ledger:before {content: 'Ledger';}
.org-src-container>pre.src-ly:before {content: 'Lilypond';}
.org-src-container>pre.src-lisp:before {content: 'Lisp';}
.org-src-container>pre.src-makefile:before {content: 'Make';}
.org-src-container>pre.src-matlab:before {content: 'Matlab';}
.org-src-container>pre.src-max:before {content: 'Maxima';}
.org-src-container>pre.src-mscgen:before {content: 'Mscgen';}
.org-src-container>pre.src-Caml:before {content: 'Objective';}
.org-src-container>pre.src-octave:before {content: 'Octave';}
.org-src-container>pre.src-org:before {content: 'Org';}
.org-src-container>pre.src-perl:before {content: 'Perl';}
.org-src-container>pre.src-picolisp:before {content: 'Picolisp';}
.org-src-container>pre.src-plantuml:before {content: 'PlantUML';}
.org-src-container>pre.src-python:before {content: 'Python';}
.org-src-container>pre.src-ruby:before {content: 'Ruby';}
.org-src-container>pre.src-sass:before {content: 'Sass';}
.org-src-container>pre.src-scala:before {content: 'Scala';}
.org-src-container>pre.src-scheme:before {content: 'Scheme';}
.org-src-container>pre.src-screen:before {content: 'Screen';}
.org-src-container>pre.src-sed:before {content: 'Sed';}
.org-src-container>pre.src-shell:before {content: 'shell';}
.org-src-container>pre.src-shen:before {content: 'Shen';}
.org-src-container>pre.src-sql:before {content: 'SQL';}
.org-src-container>pre.src-sqlite:before {content: 'SQLite';}
.org-src-container>pre.src-stan:before {content: 'Stan';}
.org-src-container>pre.src-vala:before {content: 'Vala';}
.org-src-container>pre.src-axiom:before {content: 'Axiom';}
.org-src-container>pre.src-browser:before {content: 'HTML';}
.org-src-container>pre.src-cypher:before {content: 'Neo4j';}
.org-src-container>pre.src-elixir:before {content: 'Elixir';}
.org-src-container>pre.src-request:before {content: 'http';}
.org-src-container>pre.src-ipython:before {content: 'iPython';}
.org-src-container>pre.src-kotlin:before {content: 'Kotlin';}
.org-src-container>pre.src-Flavored Erlang  lfe:before {content: 'Lisp';}
.org-src-container>pre.src-mongo:before {content: 'MongoDB';}
.org-src-container>pre.src-prolog:before {content: 'Prolog';}
.org-src-container>pre.src-rec:before {content: 'rec';}
.org-src-container>pre.src-ML  sml:before {content: 'Standard';}
.org-src-container>pre.src-Translate  translate:before {content: 'Google';}
.org-src-container>pre.src-typescript:before {content: 'Typescript';}
.org-src-container>pre.src-rust:before { content: 'Rust'; }
